de.dhbwstuttgart.syntaxtree.type

## Class FreshSuperWildcardType

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.FreshWildcardType
      - - de.dhbwstuttgart.syntaxtree.type.FreshSuperWildcardType

All Implemented Interfaces:
  IItemWithOffset, IMatchable

    public class FreshSuperWildcardType
    extends FreshWildcardType
    implements IMatchable

### Field Summary

Fields
`private ObjectType` `superBoundType`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`name, used`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
`` `FreshSuperWildcardType(ObjectType superBound, SyntaxTreeNode parent, int offset)` Author: Arne LÃ¼dtke Standard Konstruktor fÃ¼r eine FreshSuperWildcard
`private` `FreshSuperWildcardType(ObjectType superBound, SyntaxTreeNode parent, int offset, java.lang.String name)` Author: Arne LÃ¼dtke Privater Konstruktor fÃ¼r clone

### Method Summary

All Methods Instance Methods Concrete Methods
`FreshSuperWildcardType` `clone()` Author: Arne LÃ¼dtke Gibt einen Klon der Wildcard zurÃ¼ck.
`boolean` `equals(java.lang.Object obj)` Author: Arne LÃ¼dtke PrÃ¼ft, ob zwei Objekte gleich sind.
`ObjectType` `get_SuperBound()` Author: Arne LÃ¼dtke Gibt die Grenze der Wildcard zurÃ¼ck
`SuperWildcardType` `get_WildcardType()` Author: Arne LÃ¼dtke Gibt die passende SuperWildcardType Klasse zurÃ¼ck.
`Type` `getMatchType()` Author: Arne LÃ¼dtke Gibt den Typen zurÃ¼ck, der bei einem match im Unify verwendet werden soll.
`java.lang.String` `toString()` Author: Arne LÃ¼dtke Gibt String Entsprechung zurÃ¼ck.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.FreshWildcardType

`get_UpperBounds, printJavaCode, set_UpperBounds`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

`applyResultSet, checkTYPE, get_Name, get_UsedId, getChildren, getInvolvedTypePlaceholder, getName, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, set_UsedId, setOffset, TYPE, Type2Key, Type2String`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### superBoundType

    private ObjectType superBoundType

### Constructor Detail

#### FreshSuperWildcardType

    public FreshSuperWildcardType(ObjectType superBound,
                                  SyntaxTreeNode parent,
                                  int offset)

Author: Arne LÃ¼dtke
Standard Konstruktor fÃ¼r eine FreshSuperWildcard

#### FreshSuperWildcardType

    private FreshSuperWildcardType(ObjectType superBound,
                                   SyntaxTreeNode parent,
                                   int offset,
                                   java.lang.String name)

Author: Arne LÃ¼dtke
Privater Konstruktor fÃ¼r clone

### Method Detail

#### toString

    public java.lang.String toString()

Author: Arne LÃ¼dtke
Gibt String Entsprechung zurÃ¼ck.

Overrides:
  `toString` in class `FreshWildcardType`

#### clone

    public FreshSuperWildcardType clone()

Author: Arne LÃ¼dtke
Gibt einen Klon der Wildcard zurÃ¼ck. Der Innere Typ wird auch geklont

Overrides:
  `clone` in class `FreshWildcardType`
Returns:
  // ino.end // ino.method.clone.26768.definition public Type clone() // ino.end // ino.method.clone.26768.body { return new RefType(this.getName().toString(), this.getParent(),getOffset()); } // ino.end

#### get_SuperBound

    public ObjectType get_SuperBound()

Author: Arne LÃ¼dtke
Gibt die Grenze der Wildcard zurÃ¼ck

#### equals

    public boolean equals(java.lang.Object obj)

Author: Arne LÃ¼dtke
PrÃ¼ft, ob zwei Objekte gleich sind. NICHT INSTANZGLEICH

Overrides:
  `equals` in class `FreshWildcardType`

#### get_WildcardType

    public SuperWildcardType get_WildcardType()

Author: Arne LÃ¼dtke
Gibt die passende SuperWildcardType Klasse zurÃ¼ck. Wird fÃ¼r smaller4 verwendet

Overrides:
  `get_WildcardType` in class `FreshWildcardType`

#### getMatchType

    public Type getMatchType()

Author: Arne LÃ¼dtke
Gibt den Typen zurÃ¼ck, der bei einem match im Unify verwendet werden soll. Wird Ã¼ber IMatchable implementiert.

Specified by:
  `getMatchType` in interface `IMatchable`